Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: pdumodel::Pdu::OutletSequenceState Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
pdumodel::Pdu::OutletSequenceState Struct Reference

Outlet sequencing status More...

`import <Pdu.idl;`

## Public Attributes
boolean | sequenceRunning
| `true` if an outlet sequence is currently running
int | nextOutletToSwitch
| Number (0-based) of the next outlet in the sequence.
int | timeUntilNextSwitch
| Time in milliseconds before the next outlet is switched.
int | outletsRemaining
| Number of outlets remaining in the sequence.
int | cancelableOutletsRemaining
| Number of outlets remaining whose switch operation can be canceled (non-cancelable operations won't be affected by canceling the sequence)

## Detailed Description

Outlet sequencing status

Definition at line 107 of file Pdu.idl.

## Member Data Documentation

## ◆ cancelableOutletsRemaining

int pdumodel::Pdu::OutletSequenceState::cancelableOutletsRemaining

Number of outlets remaining whose switch operation can be canceled (non-cancelable operations won't be affected by canceling the sequence)

Definition at line 112 of file Pdu.idl.

## ◆ nextOutletToSwitch

int pdumodel::Pdu::OutletSequenceState::nextOutletToSwitch

Number (0-based) of the next outlet in the sequence.

Definition at line 109 of file Pdu.idl.

## ◆ outletsRemaining

int pdumodel::Pdu::OutletSequenceState::outletsRemaining

Number of outlets remaining in the sequence.

Definition at line 111 of file Pdu.idl.

## ◆ sequenceRunning

boolean pdumodel::Pdu::OutletSequenceState::sequenceRunning

`true` if an outlet sequence is currently running

Definition at line 108 of file Pdu.idl.

## ◆ timeUntilNextSwitch

int pdumodel::Pdu::OutletSequenceState::timeUntilNextSwitch

Time in milliseconds before the next outlet is switched.

Definition at line 110 of file Pdu.idl.

The documentation for this struct was generated from the following file:

- Pdu.idl